#
# spec file for package sshfp
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sshfp
Version:        1.2.2.g11
Release:        5.1
Summary:        RFC4255 DNS SSHFP record generator
License:        GPL-2.0+
Group:          Productivity/Networking/DNS/Utilities
Url:            http://www.xelerance.com/software/sshfp/	

#Git-Clone:	git://github.com/xelerance/sshfp
Source:         sshfp-%version.tar.xz
BuildRoot:      %_tmppath/%name-%version-build
BuildArch:      noarch
BuildRequires:  python
BuildRequires:  xz
Requires:       python-dnspython
Requires:       python-ldns

%description
sshfp generates DNS SSHFP records from SSH public keys. sshfp can
take public keys from a knownhosts file or from scanning the host's
sshd daemon. The ssh client can use these SSHFP records if you set
"VerifyHostKeyDNS yes" in the file /etc/ssh/ssh_config.

An alternative to sshfp is to use `ssh-keygen -r` from the OpenSSH
suite.

# sshfp could go into dormant mode any time again..
%prep
%setup -qn %name

%build
make %{?_smp_mflags}

%install
mkdir -p "%buildroot/%_bindir" "%buildroot/%_mandir"
make install DESTDIR="%buildroot"

%files
%defattr(-,root,root)
%_bindir/*
%_mandir/*/*
%doc BUGS CHANGES COPYING README

%changelog
* Wed Jan 21 2015 jengelh@inai.de
- Update to new git snapshot 1.2.2+git11
  * Type 3 algorithm (ECDSA) support, Type 2 hash (SHA-256) support.
- Remove 0001-fix-invalid-reference-to-hostname-in-check_keytype.diff
  (no longer relevant)
* Mon Aug 13 2012 jengelh@inai.de
- Update project URLs
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Wed Sep 21 2011 jengelh@medozas.de
- Update to new upstream release 1.2.2
  * throw errors on stderr to improve pipe usage
  * fix nameserver by IP address (ldns workaround)
  * fix case where AAAA is found but no IPv6 is available
* Wed May 25 2011 lnussel@suse.de
- new version 1.2.1
  * dane command
* Thu Jan 27 2011 jengelh@medozas.de
- Add rpmgroup to specfile
* Sun Aug 22 2010 jengelh@medozas.de
- sshfp has a runtime require on dnspython. Add it.
